EDIT - feature request #7405

Rename WorkingSet to DescriptiveDataSet
05/07/2018 06:15 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.0

Severity: normal

Description

WorkingSet is a too general name. DescriptiveSystem or DescriptiveDataSet better suits the semantics of this class.

Related issues:
Related to EDIT - feature request #2335: Make WorkingSet IdentifiableEntity Closed

Associated revisions

Revision db727ae6 - 05/09/2018 01:21 PM - Andreas Miiller
fix #7405 Rename WorkingSet to DescriptiveDataSet

Revision 51771266 - 05/09/2018 01:21 PM - Andreas Miiller
ref #7144, ref #7405 update test term datasets

Revision 32dc6dc8 - 05/09/2018 03:08 PM - Andreas Miuiller
ref #7405 update httpInvokerServices id for httpDescriptiveDataSetService

Revision 466192da - 05/11/2018 11:49 AM - Andreas Miiller
ref #7405 fix update script for renaming WorkingSet/DescriptiveDataSet

Revision b1518752 - 05/11/2018 01:45 PM - Andreas Miiller

ref #7405 remove hibernate sequence update as it is already included in table rename

Revision 422fb435 - 05/11/2018 03:42 PM - Andreas Miiller
ref #7405 javadoc

Revision 5¢c05e409 - 05/14/2018 02:36 PM - Andreas Miiller
ref #2335 add DTYPE update to DescriptiveDataSet renaming

History

#1 - 05/07/2018 06:15 PM - Andreas Miiller
- Related to feature request #2335: Make WorkingSet IdentifiableEntity added

#2 - 05/07/2018 06:51 PM - Andreas Miuller

DescriptiveSystem we already use for featureTree attribute so DataSet is probably the better name.

#3 - 05/07/2018 10:57 PM - Andreas Miuiller
- Subject changed from Rename WorkingSet to DescriptiveSystem or DescriptiveDataSet to Rename WorkingSet to DescriptiveDataSet
- Status changed from New to Resolved

- % Done changed from 0 to 50

#4 - 05/14/2018 02:50 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
